Package net.shibboleth.shared.spring.config

# Class DurationPropertyEditor

java.lang.Object
java.beans.PropertyEditorSupport
net.shibboleth.shared.spring.config.DurationPropertyEditor

All Implemented Interfaces:
  `PropertyEditor`

public class DurationPropertyEditor extends PropertyEditorSupport
Allows setting of Duration-valued properties using lexical string form.

## Constructor Summary

Constructors
Constructor
Description
`DurationPropertyEditor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setAsText(String text)`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DurationPropertyEditor

public DurationPropertyEditor()

## Method Details

### setAsText

public void setAsText(String text)

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`